API 参考
A person's own S3-compatible buckets that spaces keep their files in (encrypted). Signed-in sessions only.
5 个接口 · 概览
curl "https://side.example.com/v1/storage" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"name": "A001_C003.mov",
"kind": "s3",
"endpoint": "endpoint",
"bucket": "bucket",
"region": "region",
"prefix": "prefix",
"access_key": "access_key",
"spaces": 1,
"created_at": "2026-11-14T09:30:00Z",
"updated_at": "2026-11-14T09:30:00Z"
}
]
}namestringkindstrings3endpointstringbucketstringregionstringprefixstringaccess_keystringsecret_keystringcurl -X POST "https://side.example.com/v1/storage" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov","kind":"s3","endpoint":"endpoint"}'{
"id": "id",
"name": "A001_C003.mov",
"kind": "s3",
"endpoint": "endpoint",
"bucket": "bucket",
"region": "region",
"prefix": "prefix",
"access_key": "access_key",
"spaces": 1,
"created_at": "2026-11-14T09:30:00Z",
"updated_at": "2026-11-14T09:30:00Z"
}curl "https://side.example.com/v1/storage/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"id": "id",
"name": "A001_C003.mov",
"kind": "s3",
"endpoint": "endpoint",
"bucket": "bucket",
"region": "region",
"prefix": "prefix",
"access_key": "access_key",
"spaces": 1,
"created_at": "2026-11-14T09:30:00Z",
"updated_at": "2026-11-14T09:30:00Z"
}idstring必填namestringkindstrings3endpointstringbucketstringregionstringprefixstringaccess_keystringsecret_keystringcurl -X PATCH "https://side.example.com/v1/storage/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov","kind":"s3","endpoint":"endpoint"}'{
"id": "id",
"name": "A001_C003.mov",
"kind": "s3",
"endpoint": "endpoint",
"bucket": "bucket",
"region": "region",
"prefix": "prefix",
"access_key": "access_key",
"spaces": 1,
"created_at": "2026-11-14T09:30:00Z",
"updated_at": "2026-11-14T09:30:00Z"
}idstring必填204curl -X DELETE "https://side.example.com/v1/storage/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"